import env from '@/env.js'

export default {
  // 根据平台类型显示
  hasPlat(arr) {
    const {PLATFORM} = env
    if (arr && arr instanceof Array && arr.length > 0) {
      return arr.includes(PLATFORM) || arr.includes('*')
    } else {
      throw new Error(`请设置平台类型标签值`)
    }
  },
  // 根据托管平台类型显示
  hasHostPlat(arr) {
    const {HOSTPLATFORM} = env
    if (arr && arr instanceof Array && arr.length > 0) {
      return arr.includes(HOSTPLATFORM) || arr.includes('*')
    } else {
      throw new Error(`请设置托管平台类型标签值`)
    }
  }
}
